## org.codehaus.groovy.runtime.metaclass
Class ValueIterator

Constructor Summary
`ValueIterator()`

Method Summary
`int` | `capacity()` Return the number of slots in this table
`float` | `loadFactor()` Return the load factor
`void` | `readObject(def s)` Reconstitute the `ConcurrentReaderHashMap` instance from a stream (i.e., deserialize it).
`Object` | `returnValueOfNext()`
`void` | `writeObject(def s)` Save the state of the `ConcurrentReaderHashMap` instance to a stream (i.e., serialize it).

Constructor Detail

### ValueIterator

    ValueIterator()

Method Detail

### capacity

    public int capacity()

  Return the number of slots in this table

### loadFactor

    public float loadFactor()

  Return the load factor

### readObject

    void readObject(def s)

  Reconstitute the `ConcurrentReaderHashMap` instance from a stream (i.e., deserialize it).

### returnValueOfNext

    Object returnValueOfNext()

### writeObject

    void writeObject(def s)

  Save the state of the `ConcurrentReaderHashMap` instance to a stream (i.e., serialize it).
  serial:
    Data The capacity of the
  ConcurrentReaderHashMap (the length of the bucket array) is emitted (int), followed by the size of the ConcurrentReaderHashMap (the number of key-value mappings), followed by the key (Object) and value (Object) for each key-value mapping represented by the ConcurrentReaderHashMap The key-value mappings are emitted in no particular order.